Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.tahiti
Class Tahiti

    java.lang.Object
      |
      +--com.ibm.aglets.tahiti.Tahiti

All Implemented Interfaces:
  ContextListener, java.util.EventListener

public final class Tahiti
extends java.lang.Object
implements ContextListener

Tahiti is the viewer for aglets

Version:
  1.10 $Date: 2001/07/28 06:32:51 $
Author:
  Danny B. Lange, Mitsuru Oshima, ONO Kouichi

Constructor Summary
`Tahiti()`

Method Summary
`void` | `agletActivated(ContextEvent event)` Called when an aglet has been activated
`void` | `agletArrived(ContextEvent event)` Called when an aglet has arrived
`void` | `agletCloned(ContextEvent event)` Called when an aglet has been cloned
`void` | `agletCreated(ContextEvent event)` Called when an aglet has been created
`void` | `agletDeactivated(ContextEvent event)` Called when an aglet has been deactivated
`void` | `agletDispatched(ContextEvent event)` Called when an aglet has been dispatched
`void` | `agletDisposed(ContextEvent event)` Called when an aglet has been disposed
`void` | `agletResumed(ContextEvent event)` Called when an aglet has been resumed
`void` | `agletReverted(ContextEvent event)` Called when an aglet has been reverted.
`void` | `agletStateChanged(ContextEvent event)` Called when the state of an aglet has changed.
`void` | `agletSuspended(ContextEvent event)` Called when an aglet has been suspended
`void` | `contextShutdown(ContextEvent event)` shutdowned
`void` | `contextStarted(ContextEvent event)` Called when the context is started.
`static UserManager` | `getUserManager()`
`static void` | `init()`
`static void` | `initializeGUI()`
`static void` | `installFactories()`
`static void` | `installSecurity()`
`static void` | `main(java.lang.String[] a)`
`void` | `showDocument(ContextEvent event)` Called when an aglet request to show the document given as URL
`void` | `showMessage(ContextEvent event)` Called to show the message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tahiti

    public Tahiti()

Method Detail

### agletActivated

    public void agletActivated(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has been activated
  Specified by:
    `agletActivated` in interface `ContextListener`

### agletArrived

    public void agletArrived(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has arrived
  Specified by:
    `agletArrived` in interface `ContextListener`

### agletCloned

    public void agletCloned(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has been cloned
  Specified by:
    `agletCloned` in interface `ContextListener`

### agletCreated

    public void agletCreated(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has been created
  Specified by:
    `agletCreated` in interface `ContextListener`

### agletDeactivated

    public void agletDeactivated(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has been deactivated
  Specified by:
    `agletDeactivated` in interface `ContextListener`

### agletDispatched

    public void agletDispatched(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has been dispatched
  Specified by:
    `agletDispatched` in interface `ContextListener`

### agletDisposed

    public void agletDisposed(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has been disposed
  Specified by:
    `agletDisposed` in interface `ContextListener`

### agletResumed

    public void agletResumed(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has been resumed
  Specified by:
    `agletResumed` in interface `ContextListener`

### agletReverted

    public void agletReverted(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has been reverted.
  Specified by:
    `agletReverted` in interface `ContextListener`

### agletStateChanged

    public void agletStateChanged(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when the state of an aglet has changed.
  Specified by:
    `agletStateChanged` in interface `ContextListener`

### agletSuspended

    public void agletSuspended(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet has been suspended
  Specified by:
    `agletSuspended` in interface `ContextListener`

### contextShutdown

    public void contextShutdown(ContextEvent event)

  shutdowned
  Specified by:
    `contextShutdown` in interface `ContextListener`

### contextStarted

    public void contextStarted(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when the context is started.
  Specified by:
    `contextStarted` in interface `ContextListener`

### getUserManager

    public static final UserManager getUserManager()

### init

    public static void init()

### initializeGUI

    public static void initializeGUI()

### installFactories

    public static void installFactories()

### installSecurity

    public static void installSecurity()

### main

    public static void main(java.lang.String[] a)

### showDocument

    public void showDocument(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called when an aglet request to show the document given as URL
  Specified by:
    `showDocument` in interface `ContextListener`
  Following copied from interface: `com.ibm.aglet.system.ContextListener`
  See Also:
    `Aglet#showDocument`

### showMessage

    public void showMessage(ContextEvent event)

  Description copied from interface: `ContextListener`
  Called to show the message
  Specified by:
    `showMessage` in interface `ContextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD